﻿/*
 * WCF Self hosting sample from www.WayneCliffordBarker.co.za
*/

using ActiveSTS.Handlers;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.IdentityModel.Configuration;
using System.IdentityModel.Tokens;
using System.Linq;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.ServiceModel.Security;
using System.Text;
using System.Threading.Tasks;

namespace STS
{
    public class TokenServiceFactory : ServiceHostFactory
    {
        public ServiceHost CreateServiceHost(string hosturl)
        {
            return CreateServiceHost(typeof(TokenService), new Uri[] { new Uri(hosturl) });
        }

        protected override ServiceHost CreateServiceHost(Type t, Uri[] baseAddresses)
        {
            SecurityTokenServiceConfiguration config = TokenService.GetSTSConfiguration();

            WSTrustServiceHost host = new WSTrustServiceHost(config, baseAddresses);
            return host;
        }
    }
}
